2008年12月23日火曜日

eclipse ganymede subversive1222

12/22 1900のsubversiveを更新したら使えなくなった。
ワークスペースの.metadataディレクトリにある .bak_0.logファイルを確認すると、
"org.eclipse.team.svn.core.synchronize.UpdateSubscriber の変更セットを更新中" 中に内部エラーが発生しました。
java.lang.NoSuchMethodError: org.eclipse.team.svn.core.utility.FileUtility.isIgnored(Lorg/eclipse/core/resources/IResource;)Z


メソッドがない!ってどうしようもない・・・
「ヘルプ」-「ソフトウェア更新」-「インストール済みのソフトウェア」タブ 「構成を元に戻す」
でアップデート前に戻そうとしたけど、うまく行かず・・・

えらいクリスマスプレゼントもらっちゃいました。
会社の環境を(win XPだけど)更新するのはちょっと待っておこうっと。

12/31追記

workspace変更してsubversiveを再インストールしたら直った・・・
定期的にworkspaceのお掃除でもしないとダメなんですかね。

0 件のコメント: